#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QApplication>
#include <QCoreApplication>
#include <QSqlDatabase>
#include <QGridLayout>
#include <QString>
#include <iostream>
#include <QSqlQuery>
#include <QSqlError>
#include <QDebug>
#include <QSqlRecord>
#include <iomanip>
#include <windows.h>
#include <QLabel>
#include <QListWidget>
#include <QTableView>
#include <QTextEdit>
#include <QLineEdit>
#include <QPushButton>

//QT_BEGIN_NAMESPACE
//namespace Ui { class MainWindow; }
//QT_END_NAMESPACE

struct config{
    QString SqlDatabase;
    QString HostName;
    QString DatabaseName;
    QString UserName;
    QString Password;
    QString Port;
};

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = nullptr);
    ~MainWindow();
    void NewLogString(const QString& command);
    void ConnectToServer();
    void DBUpdate(const QString table_name);
    void CloseDB();

    QWidget *mainWidget = nullptr;
    QLabel *label = nullptr;
    QListWidget *listWidget = nullptr;
    QTableView *tableView = nullptr;
    QTextEdit *textEdit_log = nullptr;
    QLineEdit *lineEdit = nullptr;
    QPushButton *pushButton = nullptr, *pushButton_2 = nullptr;

    QAction* actionExit = nullptr;
    QAction* actionMenu = nullptr;

    QMenu *menu = nullptr;
    QMenuBar *menuBar = nullptr;

    void checkFlags(bool&, bool&);

    bool first = false, sec = false;

    QSqlDatabase myDB;
        config config;

public slots:
    void ok_clicked();
    void clear_clicked();

private slots:
    void closeEvent(QCloseEvent *event);
    void showEvent(QShowEvent *event);
    void on_actionExit_triggered();
    void on_actionConnect_triggered();
};
#endif // MAINWINDOW_H
